<?
header("Content-Type: application/xhtml+xml; charset=utf-8");
use_helper('UrlFunctions');
$o_ClienteTelefonoFN = new CrClienteTelefonoFN();

if($IdPertenece) $o_ClienteTelefonoFN->setPertenece($IdPertenece);
if($IdOperador) $o_ClienteTelefonoFN->setIdOperador($IdOperador);
if($IdTipo) $o_ClienteTelefonoFN->setIdTipoTelefono($IdTipo);

$o_ClienteTelefonoFN->setIdCliente($IdCliente);
$o_ClienteTelefonoFN->setEliminado('-1');
$o_ClienteTelefonoFN->setEstado('A');



$tamanioPag = 22;
//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO 
 
 $o_ClienteTelefonoFN->page = $page;
 $o_ClienteTelefonoFN->tamPag = $tamanioPag;
 $o_ClienteTelefonoFN->sortCampos = $sortCampos;
 $o_ClienteTelefonoFN->sortType   = $sortType; 
 
$a_o_ClienteTelefonoFN = $o_ClienteTelefonoFN->select();

//print_r($a_o_ClienteTelefonoFN);
$o_navigation = new navigation();
$o_navigation->setPaginaActual($page);
$o_navigation->setTamanioPagina($tamanioPag);
$o_navigation->setTotalRegistros($o_ClienteTelefonoFN->selectNumRows());
$valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);

if(!$page) $page = 1;



ViewResponse::getInstance()->setMethodAjax();

?>
<script>
functionSort = function(campo, type){
  var typeSort      = "";
  var elmSortCampos = $('sortCampos');
  var elmSortType   = $('sortType');
  var a_sortCampos  = elmSortCampos.value!=""?elmSortCampos.value.split(";"):[];
  var a_sortType    = elmSortType.value!=""?elmSortType.value.split(";"):[];
  var pos           = a_sortCampos.indexOf(campo);
  switch (type){
     case 'A' :
       a_sortType[pos]    = "2";
     break;
     case 'D' :
       a_sortCampos = sliceByPos(a_sortCampos, pos);
       a_sortType   = sliceByPos(a_sortType, pos);
     break;
     default :
       a_sortCampos[a_sortCampos.length] = campo;
       a_sortType[a_sortType.length]     = "1";
     break;
  }
  var strSortCampos = a_sortCampos.join(";");
  var strSortType   = a_sortType.join(";");
  concatValueStr('sortCampos='+strSortCampos+'&sortType='+strSortType+"&page=<?=$page?>");
}
</script>

<?php

$strConcat = "sortCampos=".$valuesSort['sortCampos']."&sortType=".$valuesSort['sortType'];

function showImgOrder($valuesSort, $campo, $nameCampos){
  $a_valCampos = explode(";", $valuesSort['sortCampos']);
  $a_valtype   = explode(";", $valuesSort['sortType']);
  $sImg = "
            <a href=\"JavaScript:functionSort('".$campo."', '');\">".$nameCampos."</a>
            <img src=\"/images/common/buttons/arrow.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
          ";
  foreach ($a_valCampos as $key => $val){
    if($val == $campo){
      switch ($a_valtype[$key]){
        case 1:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'A');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_up.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
        case 2:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'D');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_down.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
      }
    }
  };
  return $sImg;
}
?>

<input type="hidden" id="sortCampos" size="100" value="<?=$valuesSort['sortCampos']?>">
<input type="hidden" id="sortType" size="100" value="<?=$valuesSort['sortType']?>">
      <table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td height="17" align="right" class="pager">
            <div id="contenedor">
              <? $o_navigation->ContruirHTMLNavigation('contenedor', $strConcat); ?>
            </div>
          </td>
        </tr>
        <tr>
          <td>
            <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr height="23">
               <th width="4%" >Nro</th>
               
                 <th width="8%" align="left">Fuente</th>
                
			    <th width="12%" align="left">Operador</th>
			     <th width="10%" align="left">Tipo</th>
			    <th width="10%" align="left">Telefono</th>
			    <th width="15%" align="left">Comentario</th>
				<th width="4%" align="left">Estado</th>
                <th width="8%" id="col01" onMouseOver="sort_col(this);" >Usr.Mod.</th>
                <th width="8%" id="col01" onMouseOver="sort_col(this);" >Fec.Mod.</th>
              
                <th width="10%">Opciones</th>
              </tr>
              <? if(count($a_o_ClienteTelefonoFN)>0){ ?>
              <? foreach ($a_o_ClienteTelefonoFN as $iKey => $o_objBean){ ?>
              <tr onClick="TR_click(this);">
               <td class="chk"><?=($tamanioPag)*($page-1)+($iKey+1)?></td>
                <td><?=$o_objBean->getPertenece()?></td>
                 <td><?=$o_objBean->getNombreOperador()?></td>
                <td><?=$o_objBean->getNombreTipoTelefono()?></td>
               
                <td><?=$o_objBean->getNumero();?></td>
                <td><?=$o_objBean->getComentario();?></td>
                <td><?if($o_objBean->getEstado()=='A'){ echo "Activo"; } else {echo "Inactivo";} ?></td>
				<td align="center"><?=$o_objBean->getUsuarioActualizacion()?></td>
                <td align="center"><?=$o_objBean->getFechaActualizacion()?></td>
                <td align="center" valign="top">
                   <!--<img src="/images/common/buttons/btnReview.gif" title="Mostrar" style="cursor:pointer;" onclick="parent.objMainTab.modalDialog('<?=buildUrl('cli/show/id/'.$o_objBean->getIdTelefono());?>','block=001')">&nbsp;-->
                   <img name="Editar" title="Editar" src="/images/common/buttons/btnEdit.gif" onclick="objMainTab.modalDialog('<?=buildUrl("cli/addEditTelefono","i_Id=".$o_objBean->getIdTelefono()."&idCliente=".$o_objBean->getIdCliente())?>',{title:'Editar telefono',width:510,height:230})">&nbsp;
                   
                  <img name="Eliminar"  title="Eliminar" src="/images/common/buttons/btnDelete.gif" onclick="deleteRegistro('<?=$o_objBean->getIdTelefono()?>','<?=$o_objBean->getNumero()?>')">&nbsp;
                  
                </td>
              </tr>
              <? } ?>
              <? }else{ ?>
              <tr>
                <td colspan="7" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
            </table>
          </td>
        </tr>
        <tr>
          <td>Total Registros: <?=count($a_o_ClienteTelefonoFN)?></td>
        </tr>
      </table>
	  